@echo off
if "%PROCESSOR_ARCHITECTURE%"=="x86" goto x86
if "%PROCESSOR_ARCHITECTURE%"=="AMD64" goto x64
exit
:x64
pnputil -i -a %~dp0\x64\AutomotiveDiagnosticDevice.inf
exit
:x86
pnputil -i -a %~dp0\x86\AutomotiveDiagnosticDevice.inf
exit
pause